#!/bin/bash

# Definir la ubicación del archivo todo.txt
origen="/media/datos/javier/Documents/kate-plugin/todo.txt/todo.txt"

# Definir la ubicación del archivo done.txt
destino="/media/datos/javier/Documents/kate-plugin/todo.txt/done.txt"

# Obtener el número de línea como argumento del script
linea=$(($1 + 1))

# Leer la línea del archivo todo.txt
texto=$(sed -n "${linea}p" $origen)

# Comprobar si el archivo done.txt está vacío
if test ! -s $destino; then
  # Escribir la primera línea con el texto "done.txt"
  echo "done.txt" > $destino
fi

# Comprobar si la línea existe
if [[ -n $texto ]]; then
  # Obtener la fecha y hora actual en formato yyyy-MM-dd hh:mm
  fecha_hora=$(date "+%Y-%m-%d %H:%M")
  # Concatenar el texto "Archivado el " y la fecha y hora actual al final de la línea con una tabulación
  texto="$texto\tArchivado el $fecha_hora"
  # Escribir la línea al principio del archivo done.txt
  sed -i "1i$texto" $destino
  # Borrar la línea del archivo todo.txt
  sed -i "${linea}d" $origen
  # Mostrar un mensaje de éxito
  echo "La línea $linea fue copiada al archivo destino con la fecha y hora actual y borrada del archivo origen"
else
  # Mostrar un mensaje de error
  echo "La línea $linea no existe en el archivo origen"
fi



